package com.fdkankan.ucenter.service;

import com.fdkankan.ucenter.entity.ContactUs;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.ucenter.entity.ContactUsPoint;
import com.fdkankan.ucenter.vo.response.LoginVo;
import com.fdkankan.ucenter.vo.response.SceneVo;
import org.springframework.http.ResponseEntity;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 
 * @since 2025-10-20
 */
public interface IContactUsService extends IService<ContactUs> {

    void submit(ContactUs contactUs);

    LoginVo callBack(String email);

    void point(ContactUsPoint contactUsPoint);

    List<SceneVo> sceneList();
}
